> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available custom detection creation scopes



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/detection/custom/creation-scope
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/detection/custom/creation-scope:
    get:
      tags:
        - Detection
      summary: Get available custom detection creation scopes
      operationId: DetectionController_getCustomDetectionCreationScope
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomDetectionCreationScopeDto'
        '422':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    CustomDetectionCreationScopeDto:
      type: object
      properties:
        canCreateForAllClients:
          type: boolean
          description: >-
            Whether the current user can create custom detections for every
            client of the parent service provider
        serviceProviderName:
          type: string
          nullable: true
          description: Parent service provider name when global creation is available
      required:
        - canCreateForAllClients
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````